Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 632132 (CVE-2017-14729) - <sys-devel/binutils-2.29.1-r1 : crafted ELF file creates denial of service
Summary: <sys-devel/binutils-2.29.1-r1 : crafted ELF file creates denial of service
Status: RESOLVED FIXED
Alias: CVE-2017-14729
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-27 11:29 UTC by Aleksandr Wagner (Kivak)
Modified: 2018-01-07 23:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Wagner (Kivak) 2017-09-27 11:29:40 UTC
CVE-2017-14729 (https://nvd.nist.gov/vuln/detail/CVE-2017-14729):

The *_get_synthetic_symtab functions in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.29, do not ensure a unique PLT entry for a symbol, which allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted ELF file, related to elf32-i386.c and elf64-x86-64.c.

References:

https://blogs.gentoo.org/ago/2017/09/25/binutils-heap-based-buffer-overflow-in-_bfd_x86_elf_get_synthetic_symtab-elfxx-x86-c/
https://sourceware.org/bugzilla/show_bug.cgi?id=22170
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=56933f9e3e90eebf1018ed7417d6c1184b91db6b
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=61e3bf5f83f7e505b6bc51ef65426e5b31e6e360
Comment 1 Andreas K. Hüttel gentoo-dev 2017-10-11 20:36:52 UTC
Patch added to gentoo/binutils-2.29.1 branch
Comment 2 Andreas K. Hüttel gentoo-dev 2017-12-27 22:53:19 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 3 D'juan McDonald (domhnall) 2018-01-05 06:41:27 UTC
Added to existing GLSA request.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:12:00 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).